Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665530 - sys-apps/keyutils: depends on app-crypt/mit-krb5 yet again
Summary: sys-apps/keyutils: depends on app-crypt/mit-krb5 yet again
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Robin Johnson
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-08 23:55 UTC by Rafael Kitover
Modified: 2018-09-09 13:11 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Kitover 2018-09-08 23:55:17 UTC
In #664942 there was a dependency on app-crypt/mit-krb5 due to a header file, but now it wants to link to the actual library:

x86_64-pc-linux-gnu-gcc -m32 -L. -march=native -O2 -pipe -g -Wall  -Wl,-O1 -Wl,--as-needed  -o key.dns_resolver \
        key.dns_resolver.o dns.afsdb.o -lkrb5 -lcom_err -lkeyutils -lresolv
/usr/lib/gcc/x86_64-pc-linux-gnu/8.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lkrb5
collect2: error: ld returned 1 exit status
make: *** [Makefile:156: key.dns_resolver] Error 1

And just trying to install app-crypt/mit-krb5 does not easily fix it, because that package depends on keyutils and tries to build it first.
Comment 1 Thomas Deutschmann gentoo-dev Security 2018-09-09 13:11:09 UTC
Well, for me that looks like a normal circular dependency you sometimes have to deal with: Install app-crypt/mit-krb5[-keyutils] first, then emerge sys-apps/keyutils and finally re-emerge app-crypt/mit-krb5 with USE=keyutils again if you need that.